Bug 146091 - magic.mime file incorrect (e.g. audio/x-wav)
Summary: magic.mime file incorrect (e.g. audio/x-wav)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: file (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 187539
TreeView+ depends on / blocked
 
Reported: 2005-01-25 10:58 UTC by Richard Lloyd
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2006-0389
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 19:28:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0389 normal SHIPPED_LIVE file bug fix update 2006-07-19 19:03:00 UTC

Description Richard Lloyd 2005-01-25 10:58:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041119 Firefox/1.0

Description of problem:
The /usr/share/magic.mime file shipped with file 3.39 outputs two mime
types for a .wav sound file, when it should only output one (audio/x-wav).

Version-Release number of selected component (if applicable):
file-3.39-9

How reproducible:
Always

Steps to Reproduce:
1. Locate a .wav sound file on your system such as
/usr/share/redhat-config-soundcard/redhat-sample.wav
2. Issue the command "file -in
/usr/share/redhat-config-soundcard/redhat-sample.wav"
    
Actual Results:  file command outputs:
/usr/share/redhat-config-soundcard/redhat-sample.wav: audio/unknown  
   audio/x-wav

Expected Results:  It should output:
/usr/share/redhat-config-soundcard/redhat-sample.wav: audio/x-wav

Additional info:

If you look at Fedora Core 2 or 3, you'll see that they run version
*4* of file (which works perfectly with the example above), whereas
RHEL3 runs version *3*. Unfortunately, file version 3's
/usr/share/magic.mime is buggy as heck. If it can be done, I'd
recommend retro-fitting FC's /usr/share/file/magic.mime (and re-gen
the magic.mime.mgc file of course) into file version 3's
/usr/share/magic.mime. I've no idea if that would work correctly (e.g.
does file 4 support new syntaxes in magic.mime that file 3 doesn't?).

If you can't retro-fit file 4's magic.mime, then the faulty lines in
file 3's /usr/share/magic.mime are:

Line 89:
Remove the string "audio/unknown" from the line (so that the last
chars on the line are "RIFF").
Line 91:
Remove the trailing tab from the end of the line (straight after
"audio/x-wav").

Comment 1 Radek Vokal 2005-01-27 13:44:58 UTC
I got it fixed, will come out with next update of file.

Comment 6 Red Hat Bugzilla 2006-05-03 19:28:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0389.html



Note You need to log in before you can comment on or make changes to this bug.